Subject: Re: ibus-speech-to-text engine fails to run (?)

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 08 Feb 2023 08:32:43 +0100

Am Dienstag, dem 07.02.2023 um 16:41 +0000 schrieb Luis Felipe:
> Hi,
> 
> The attached patch fixed the issue for me. Now ibus-engine-stt seems
> to be running correctly and I can switch to the input method without
> the workaround indicated in the initial report.
> 
> I noticed that there are some lint issues from the original package
> definition though. I didn't fixed those:
> 
> $ ./pre-inst-env guix lint ibus-speech-to-text
> /home/yo/guix/gnu/packages/ibus.scm:899:5: [email-masked]:
> 
> [1] 'desktop-file-utils' should probably be a native input
> 
> /home/yo/guix/gnu/packages/ibus.scm:899:5: [email-masked]:
> 
> [2] 'glib:bin' should probably be a native input
> 
> /home/yo/guix/gnu/packages/ibus.scm:899:5: [email-masked]:
> 
> [3] 'gobject-introspection' should probably be a native input
> 
> /home/yo/guix/gnu/packages/ibus.scm:899:5: [email-masked]:
> 
> [4] label 'glib' does not match package name 'glib:bin'
> 
> /home/yo/guix/gnu/packages/ibus.scm:856:2: [email-masked]:
> 
> [5] "bash-minimal" should be in 'inputs' when 'wrap-program' is used
All but [4] should be fixed.  Can you attach a separate patch to do so?
(If possible, use `git send-email` with a reroll count of 2, so that CI
and mumi-based workflows behave as intended.)

> * gnu/packages/ibus.scm (ibus-speech-to-text)[phases]: 
Should probably be #:phases.
> Remove path to ibus-stt directory from GI_TYPELIB_PATH, since it
> doesn't provide typelibs.
Should probably be "Use getenv to set GUIX_PYTHONPATH."

> Remove path to ibus' typelibs directory from GUIX_PYTHONPATH, since
> it doesn't provide Python modules.
I think you should also use getenv here.  I think we should mimic
python-build-system here and add the output directory to
GUIX_PYTHONPATH before it gets wrapped.

> Remove unnecessary delimiters from all environment variables.
I don't think it's necessary to remove them ;)

Cheers